## ros-rolling-demo-nodes-cpp-native 0.31.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(demo_nodes_cpp_native)

find_package(rmw_fastrtps_cpp QUIET)
if(NOT rmw_fastrtps_cpp_FOUND)
  message(STATUS "Could not find rmw_fastrtps_cpp - skipping")
  return()
endif()

# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
  set(CMAKE_CXX_STANDARD_REQUIRED ON)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_components REQUIRED)
find_package(rmw REQUIRED)
find_package(std_msgs REQUIRED)

include_directories(include)

add_library(talker_native SHARED
  src/talker.cpp)
target_compile_definitions(talker_native
  PRIVATE "DEMO_NODES_CPP_NATIVE_BUILDING_DLL")
ament_target_dependencies(talker_native
  "rclcpp"
  "std_msgs"
  "rclcpp_components"
  "rmw_fastrtps_cpp")
rclcpp_components_register_node(talker_native PLUGIN "demo_nodes_cpp_native::Talker" EXECUTABLE talker)
install(TARGETS
  talker_native
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  find_package(ament_cmake_pytest REQUIRED)
  find_package(launch_testing_ament_cmake REQUIRED)

  set(tutorial_executables "talker")

  set(DEMO_NODES_CPP_EXPECTED_OUTPUT "")
  foreach(executable ${tutorial_executables})
    list(APPEND DEMO_NODES_CPP_EXPECTED_OUTPUT "${CMAKE_CURRENT_SOURCE_DIR}/test/${executable}")
  endforeach()

  set(DEMO_NODES_CPP_EXECUTABLE "")
  foreach(executable ${tutorial_executables})
    list(APPEND DEMO_NODES_CPP_EXECUTABLE "$<TARGET_FILE:${executable}>")
  endforeach()

  string(REPLACE ";" "_" exe_list_underscore "${tutorial_executables}")
  configure_file(
    test/test_executables_tutorial.py.in
    test_${exe_list_underscore}.py.configured
    @ONLY
  )
  file(GENERATE
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/test_${exe_list_underscore}_$<CONFIG>.py"
    INPUT "${CMAKE_CURRENT_BINARY_DIR}/test_${exe_list_underscore}.py.configured"
  )

  add_launch_test(
    "${CMAKE_CURRENT_BINARY_DIR}/test_${exe_list_underscore}_$<CONFIG>.py"
    TARGET test_tutorial_${exe_list_underscore}
    TIMEOUT 30
    ENV
    RCL_ASSERT_RMW_ID_MATCHES=rmw_fastrtps_cpp
    RMW_IMPLEMENTATION=rmw_fastrtps_cpp
  )
  foreach(executable ${tutorial_executables})
    set_property(
      TEST test_tutorial_${exe_list_underscore}
      APPEND PROPERTY DEPENDS ${executable})
  endforeach()
endif()

ament_package()

## ros-rolling-demo-nodes-cpp-native 0.19.0

=== debian/changelog ===
ros-rolling-demo-nodes-cpp-native (0.19.0-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.18.0-1focal) focal; urgency=high

  * Update maintainers to Audrow Nash and Michael Jeronimo (#543 <https://github.com/ros2/demos/issues/543>)
  * Fix typo in demo_nodes_cpp_native package description (#536 <https://github.com/ros2/demos/issues/536>)
  * Contributors: Audrow Nash, Víctor Mayoral Vilches

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 17 Dec 2021 08:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.17.0-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 18 Oct 2021 07:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.16.0-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 11 Aug 2021 07:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.15.0-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 14 May 2021 07:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.14.2-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 26 Apr 2021 07:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.14.1-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 19 Apr 2021 07:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.14.0-1focal) focal; urgency=high

  * Update demo_nodes_cpp_native to new Fast DDS API (#493 <https://github.com/ros2/demos/issues/493>)
  * Contributors: Miguel Company

 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.13.0-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 25 Mar 2021 07:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.12.1-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 18 Mar 2021 07:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.12.0-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.11.0-1focal) focal; urgency=high

  * Update the package.xml files with the latest Open Robotics maintainers (#466 <https://github.com/ros2/demos/issues/466>)
  * Contributors: Michael Jeronimo

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 10 Dec 2020 08:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.10.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 21 Sep 2020 07:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.10.0-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 17 Jun 2020 07:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.9.3-1focal) focal; urgency=high

  * Shared publisher handle (#448 <https://github.com/ros2/demos/issues/448>)
  * Contributors: Chris Lalancette

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 01 Jun 2020 07:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.9.2-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 26 May 2020 07:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.9.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 12 May 2020 07:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.9.0-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 30 Apr 2020 07:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.8.4-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 19 Nov 2019 08:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.8.3-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 11 Nov 2019 08:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.8.2-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 08 Nov 2019 08:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.8.1-1focal) focal; urgency=high

  * Replace ready_fn with ReadyToTest action (#404 <https://github.com/ros2/demos/issues/404>)
  * Contributors: Peter Baughman

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.8.0-1focal) focal; urgency=high

  * Adding visibility macros to demos (#381 <https://github.com/ros2/demos/issues/381>)
  * Check if FastRTPS available in demo_nodes_cpp_native before creating library/executable (#383 <https://github.com/ros2/demos/issues/383>)
  * Demos using composition (#375 <https://github.com/ros2/demos/issues/375>)
  * Contributors: Siddharth Kucheria

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 26 Sep 2019 07:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.7.6-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 30 May 2019 07:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.7.5-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 29 May 2019 07:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.7.4-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 20 May 2019 07:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.7.3-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 10 May 2019 07:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.7.2-1focal) focal; urgency=high

  * changes to avoid deprecated API's (#332 <https://github.com/ros2/demos/issues/332>)
  * Corrected publish calls with shared_ptr signature (#327 <https://github.com/ros2/demos/issues/327>)
  * Migrate launch tests to new launch_testing features & API (#318 <https://github.com/ros2/demos/issues/318>)
  * Contributors: Michel Hidalgo, William Woodall, ivanpauno

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 May 2019 07:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.7.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 26 Apr 2019 07:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.7.0-1focal) focal; urgency=high



=== debian/control ===
Source: ros-rolling-demo-nodes-cpp-native
Section: misc
Priority: optional
Maintainer: Audrow Nash <audrow@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-pytest, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-launch, ros-rolling-launch-testing, ros-rolling-launch-testing-ament-cmake, ros-rolling-launch-testing-ros, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-rmw-fastrtps-cpp, ros-rolling-std-msgs, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-demo-nodes-cpp-native
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-rmw-fastrtps-cpp, ros-rolling-std-msgs, ros-rolling-ros-workspace
Description: C++ nodes which access the native handles of the rmw implementation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-demo-nodes-cpp-native//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-demo-nodes-cpp-native 0.31.1

=== debian/changelog ===
ros-rolling-demo-nodes-cpp-native (0.31.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Sep 2023 00:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.31.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 21 Aug 2023 00:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.30.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 11 Jul 2023 00:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.30.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 12 Jun 2023 00:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.29.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 07 Jun 2023 00:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.28.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 11 May 2023 00:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.28.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 27 Apr 2023 00:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.27.0-1jammy) jammy; urgency=high

  * Change all ROS2 -> ROS 2. (#610 <https://github.com/ros2/demos/issues/610>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 13 Apr 2023 00:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.26.0-1jammy) jammy; urgency=high

  * Added README.md for demo_cpp_nodes_native (#597 <https://github.com/ros2/demos/issues/597>)
  * Contributors: Gary Bey

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 11 Apr 2023 00:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.25.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 01 Mar 2023 00:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.24.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 24 Feb 2023 00:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.24.0-1jammy) jammy; urgency=high

  * Update the demos to C++17. (#594 <https://github.com/ros2/demos/issues/594>)
  * [rolling] Update maintainers - 2022-11-07 (#589 <https://github.com/ros2/demos/issues/589>)
  * Make demo_nodes_cpp_native install stuff only when it builds (#590 <https://github.com/ros2/demos/issues/590>)
  * Contributors: Audrow Nash, Chris Lalancette, Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.23.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.22.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.21.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 29 Apr 2022 00:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.20.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 08 Apr 2022 00:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.20.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.19.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.18.0-1jammy) jammy; urgency=high

  * Update maintainers to Audrow Nash and Michael Jeronimo (#543 <https://github.com/ros2/demos/issues/543>)
  * Fix typo in demo_nodes_cpp_native package description (#536 <https://github.com/ros2/demos/issues/536>)
  * Contributors: Audrow Nash, Víctor Mayoral Vilches

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 17 Dec 2021 00:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.17.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 18 Oct 2021 00:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.16.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 11 Aug 2021 00:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.15.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 14 May 2021 00:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.14.2-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 26 Apr 2021 00:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.14.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 19 Apr 2021 00:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.14.0-1jammy) jammy; urgency=high

  * Update demo_nodes_cpp_native to new Fast DDS API (#493 <https://github.com/ros2/demos/issues/493>)
  * Contributors: Miguel Company

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 06 Apr 2021 00:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.13.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 25 Mar 2021 00:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.12.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.12.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.11.0-1jammy) jammy; urgency=high

  * Update the package.xml files with the latest Open Robotics maintainers (#466 <https://github.com/ros2/demos/issues/466>)
  * Contributors: Michael Jeronimo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 10 Dec 2020 00:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.10.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 21 Sep 2020 00:00:00 -0000

ros-rolling-demo-nodes-cpp-native (0.10.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 17 Jun 2020 00:00:00 -0000



=== debian/control ===
Source: ros-rolling-demo-nodes-cpp-native
Section: misc
Priority: optional
Maintainer: Aditya Pande <aditya.pande@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-pytest <!nocheck>, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-launch <!nocheck>, ros-rolling-launch-testing <!nocheck>, ros-rolling-launch-testing-ament-cmake <!nocheck>, ros-rolling-launch-testing-ros <!nocheck>, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-rmw-fastrtps-cpp, ros-rolling-std-msgs, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-demo-nodes-cpp-native
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-rmw-fastrtps-cpp, ros-rolling-std-msgs, ros-rolling-ros-workspace
Description: C++ nodes which access the native handles of the rmw implementation.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
